Bug 592810 - usb_modeswitch does not detect Huawei EC1261
usb_modeswitch does not detect Huawei EC1261
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 23:56 EDT by Arvind Iyer
Modified: 2010-12-03 09:38 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:38:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arvind Iyer 2010-05-16 23:56:30 EDT
Description of problem:
USB-MODEM from Huawei (Model: Huawei EC1261 )  does not work with fedora-12 (kernel 2.6.32.11-.fc12.i686.PAE)

However an older version (Model: Huawei EC1260)  works on the same kernel.

The following are the output of /var/log/messages when the respective devices are connected

DOES NOT WORK (Newer device)

May 10 07:46:02 laptop kernel: usb 6-2: USB disconnect, address 2
May 10 07:46:10 laptop kernel: usb 6-1: new full speed USB device using uhci_hcd and address 3
May 10 07:46:11 laptop kernel: usb 6-1: New USB device found, idVendor=12d1, idProduct=1446
May 10 07:46:11 laptop kernel: usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=4
May 10 07:46:11 laptop kernel: usb 6-1: Product: HUAWEI Mobile
May 10 07:46:11 laptop kernel: usb 6-1: Manufacturer: HUAÿWEI TECHNOLOGIES
May 10 07:46:11 laptop kernel: usb 6-1: SerialNumber: ÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿ
May 10 07:46:11 laptop kernel: usb 6-1: configuration #1 chosen from 1 choice
May 10 07:46:11 laptop kernel: scsi8 : SCSI emulation for USB Mass Storage devices
May 10 07:46:13 laptop kernel: btusb_intr_complete: hci0 urb eae5d780 failed to resubmit (1)
May 10 07:46:13 laptop kernel: btusb_bulk_complete: hci0 urb eae5da00 failed to resubmit (1)
May 10 07:46:13 laptop kernel: btusb_bulk_complete: hci0 urb eae5dc80 failed to resubmit (1)
May 10 07:46:16 laptop kernel: scsi 8:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 0
May 10 07:46:16 laptop kernel: sr0: scsi-1 drive
May 10 07:46:16 laptop kernel: sr 8:0:0:0: Attached scsi generic sg1 type 5


WORKS (older device)

May  4 20:18:25 prasad kernel: usb 6-2: new full speed USB device using uhci_hcd and address 33
May  4 20:18:25 prasad kernel: usb 6-2: New USB device found, idVendor=12d1, idProduct=140b
May  4 20:18:25 prasad kernel: usb 6-2: New USB device strings: Mfr=1,Product=2, SerialNumber=4
May  4 20:18:25 prasad kernel: usb 6-2: Product: HUAWEI Mobile
May  4 20:18:25 prasad kernel: usb 6-2: Manufacturer: HUAÿWEI TECHNOLOGIES
May  4 20:18:25 prasad kernel: usb 6-2: SerialNumber: ÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿ
May  4 20:18:25 prasad kernel: usb 6-2: configuration #1 chosen from 1 choice
May  4 20:18:25 prasad kernel: option 6-2:1.0: GSM modem (1-port) converter detected
May  4 20:18:25 prasad kernel: usb 6-2: GSM modem (1-port) converter now attached to ttyUSB0
May  4 20:18:25 prasad kernel: option 6-2:1.1: GSM modem (1-port) converter detected
May  4 20:18:25 prasad kernel: usb 6-2: GSM modem (1-port) converter now attached to ttyUSB1
May  4 20:18:25 prasad kernel: option 6-2:1.2: GSM modem (1-port) converter detected
May  4 20:18:25 prasad kernel: usb 6-2: GSM modem (1-port) converter now attached to ttyUSB2
May  4 20:18:25 prasad kernel: scsi106 : SCSI emulation for USB Mass Storage devices

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Connect USB-MODEM from Huawei (Model: Huawei EC1261 )

  

Additional info:
Comment 1 Bug Zapper 2010-11-03 10:45:43 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 09:38:41 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.